BOM
List Boms
GET
/
bom
List Boms
curl --request GET \
--url https://vinmake-erp.onrender.com/bom \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/bom"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/bom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"documentId": "<string>",
"currentVersion": 123,
"versionCount": 123,
"styleId": "<string>",
"skuId": "<string>",
"style": {
"id": "<string>",
"documentId": "<string>",
"name": "<string>",
"refId": "<string>"
},
"sku": {
"id": "<string>",
"documentId": "<string>",
"color": "<string>",
"size": "<string>"
},
"finalVersion": 123,
"latestVersion": {
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"isFinal": false,
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedById": "<string>"
},
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"submittedById": "<string>",
"approvedById": "<string>",
"versions": [
{
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"isFinal": false,
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedById": "<string>",
"lineItems": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
],
"groupedLineItems": [
{
"category": "<string>",
"items": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
]
}
]
}
]
}
],
"pagination": {
"page": 2,
"limit": 2,
"total": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Boms
